Skip to content

Get default project.​

GET
/backend/v1/project

Retrieves the default project for the specified group or chatbot, or the global settings if neither is provided.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Parameters​

Query Parameters

chatbotId

ID of chatbot to get the project for.

Responses​

Successful Response

application/json
JSON
{
  
"project": {
  
  
"adminCount": 0,
  
  
"adminRoleId": "string",
  
  
"agentSessionCount": 0,
  
  
"botType": "string",
  
  
"chatbotId": "string",
  
  
"config": {
  
  
  
"id": "string",
  
  
  
"packages": [
  
  
  
  
{
  
  
  
  
  
"blocking": true,
  
  
  
  
  
"direction": "string",
  
  
  
  
  
"enabled": true,
  
  
  
  
  
"flagMessage": "string",
  
  
  
  
  
"force": true,
  
  
  
  
  
"id": "string",
  
  
  
  
  
"mode": "string",
  
  
  
  
  
"version": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"providers": [
  
  
  
  
{
  
  
  
  
  
"capabilities": [
  
  
  
  
  
  
"string"
  
  
  
  
  
],
  
  
  
  
  
"default": true,
  
  
  
  
  
"enabled": true,
  
  
  
  
  
"id": "string",
  
  
  
  
  
"name": "string",
  
  
  
  
  
"type": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"scanners": [
  
  
  
  
{
  
  
  
  
  
"blocking": true,
  
  
  
  
  
"direction": "string",
  
  
  
  
  
"enabled": true,
  
  
  
  
  
"flagMessage": "string",
  
  
  
  
  
"force": true,
  
  
  
  
  
"id": "string",
  
  
  
  
  
"mode": "string",
  
  
  
  
  
"version": "string"
  
  
  
  
}
  
  
  
]
  
  
},
  
  
"createdAt": "string",
  
  
"createdBy": "string",
  
  
"deploymentStatus": "draft",
  
  
"friendlyId": "string",
  
  
"id": "string",
  
  
"memberCount": 0,
  
  
"memberRoleId": "string",
  
  
"name": "string",
  
  
"providerCount": 0,
  
  
"scannerCount": 0,
  
  
"tokenCount": 0,
  
  
"type": "string",
  
  
"updatedAt": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Updated at: